<template>
    <div class="tabs">
        <div class="tabs-item" :class="{ active: preMatchFlag}" @click="setActiveMatchTab('preMatch')">
            <span class="tabname">Pre-match Odds</span>
        </div>
        <div class="tabs-item" :class="{ active: inPlayFlag}" @click="setActiveMatchTab('inPlay')">
            <span class="tabname" ><span class="icon icon-play"></span>In-Play Odds <!--<span class="coming__soon">Coming soon</span> --></span>
        </div>
        <div class="tabs-item" :class="{ active: gameCenterFlag}" @click="setActiveMatchTab('gameCenter')">
            <span class="tabname">Game Center<span class="coming__soon">Coming soon</span></span>
        </div>
    </div>
<!--    <div class="times">-->
<!--        <div class="times-item active">-->
<!--                <span class="icon">-->
<!--                    <svg><use xlink:href="#time-full" /></svg>-->
<!--                </span> <span class="text">Full Time</span>-->
<!--        </div>-->
<!--        <div class="times-item">-->
<!--                <span class="icon">-->
<!--                    <svg><use xlink:href="#clock-first-half"/></svg>-->
<!--                </span> <span class="text">1st Half</span>-->
<!--        </div>-->
<!--        <div class="times-item">-->
<!--                <span class="icon">-->
<!--                    <svg><use xlink:href="#clock-second-half"/></svg>-->
<!--                </span> <span class="text">2nd Half</span>-->
<!--        </div>-->
<!--    </div>-->
</template>

<script>
    import {mapGetters, mapActions, mapMutations} from 'vuex';
export default {
    name: 'MatchTabs',
    props: {
        scoreBoardStatus: {
            required: true
        },
    },
    computed:{
        ...mapGetters(['getMatchTabPreMatchFlag','getMatchTabGameCenterFlag','getMatchTabInPlayFlag']),
        preMatchFlag(){
            return this.$store.getters.getMatchTabPreMatchFlag;
        },
        inPlayFlag(){
            return this.$store.getters.getMatchTabInPlayFlag;
        },
        gameCenterFlag(){
            return this.$store.getters.getMatchTabGameCenterFlag;
        }
    },
    methods:{
        setActiveMatchTab(tab){
            this.$store.dispatch('setActiveMatchTab',tab);
     /*
            if((this.scoreBoardStatus) && (this.scoreBoardStatus.status_id !==2) && (tab ==='inPlay')){
                return false;
            } else if(tab ==='inPlay'){
                return false
            } else{
                this.$store.dispatch('setActiveMatchTab',tab);
            }
*/
        }
    },
    mounted:{

    }
}
</script>
